com.tibbo.aggregate.common.expression.parser

## Class ASTDivNode

- java.lang.Object
- - com.tibbo.aggregate.common.expression.parser.SimpleNode
  - - com.tibbo.aggregate.common.expression.parser.ExpressionNode
    - - com.tibbo.aggregate.common.expression.parser.ASTDivNode

- All Implemented Interfaces:
    Node

      public class ASTDivNode
      extends ExpressionNode

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.expression.parser.SimpleNode

      `children, firstToken, id, lastToken, parent, parser, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASTDivNode(ExpressionParser p, int id)`
    `ASTDivNode(int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttributedObject` | `jjtAccept(ExpressionParserVisitor visitor, EvaluationEnvironment data)` Accept the visitor.

    - ### Methods inherited from class com.tibbo.aggregate.common.expression.parser.ExpressionNode

      `childrenAccept`

    - ### Methods inherited from class com.tibbo.aggregate.common.expression.parser.SimpleNode

      `dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetFirstToken, jjtGetLastToken, jjtGetNumChildren, jjtGetParent, jjtGetValue, jjtOpen, jjtSetFirstToken, jjtSetLastToken, jjtSetParent, jjtSetValue, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTDivNode

          public ASTDivNode(int id)

    - #### ASTDivNode

          public ASTDivNode(ExpressionParser p,
                            int id)

  - ### Method Detail

    - #### jjtAccept

          public AttributedObject jjtAccept(ExpressionParserVisitor visitor,
                                            EvaluationEnvironment data)

      Accept the visitor.
      Specified by:
        `jjtAccept` in interface `Node`
      Overrides:
        `jjtAccept` in class `SimpleNode`